Import Scan ResultAsk AIpost https://{hostname}/api/v2/scans/importThis endpoint allows you to import scan results for a specified project. The scan details and configurations are included in the form parameters.Body ParamsprojectstringrequiredThe name of the project.branchstringrequiredThe name of the branch where the scan was conducted.toolstringrequiredThe name of the scanning tool used.targetstringThe target value for the scan. This is mandatory if override-old-analyze is true.override-old-analyzebooleanIf true, the target value is mandatory.meta_datastringAdditional metadata associated with the scan.fork-valuebooleanIndicates whether the scan is a fork scan.override-fork-sourcebooleanIndicates whether to override the fork source.fork-sourcestringThe source branch for the fork scan.environmentstringThe environment variable for the scan.filefileThe import file containing the scan results (e.g., results.json, dependency-check-report.json, gl-sast-report.json, result.xml).HeadersX-CookiestringrequiredPersonal Access TokenResponses 200200 400400Updated 10 months ago